<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class catalogo_esquema_crediticio

    {

        public function insert_catalogo_esquema_crediticio($Titulo_Tipo_Registro, $Fecha_De_Registro, $Usuario_Que_Registra, $Fecha_De_Modificacion, $Usuario_Que_Modifico)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="INSERT INTO catalogo_esquema_crediticio(Titulo_Tipo_Registro, Fecha_De_Registro, Usuario_Que_Registra, Fecha_De_Modificacion, Usuario_Que_Modifico) VALUES ('$Titulo_Tipo_Registro', '$Fecha_De_Registro', '$Usuario_Que_Registra', '$Fecha_De_Modificacion', '$Usuario_Que_Modifico') ";

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            $_Tabla='catalogo_esquema_crediticio';

            $_Evento_Log='registrar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $whatsmyid;

        }



        public function get_catalogo_esquema_crediticio($_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_esquema_crediticio WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Catalogo_Esquema_Crediticio DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_esquema_crediticio WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_esquema_crediticio ORDER BY Id_Catalogo_Esquema_Crediticio DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_esquema_crediticio";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_catalogo_esquema_crediticiopg($inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM catalogo_esquema_crediticio WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Catalogo_Esquema_Crediticio DESC";

            }else{

                $consulta="SELECT * FROM catalogo_esquema_crediticio ORDER BY Id_Catalogo_Esquema_Crediticio DESC";

            }

            

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_catalogo_esquema_crediticio($Id_Catalogo_Esquema_Crediticio, $Titulo_Tipo_Registro, $Fecha_De_Registro, $Usuario_Que_Registra, $Fecha_De_Modificacion, $Usuario_Que_Modifico)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE catalogo_esquema_crediticio SET Id_Catalogo_Esquema_Crediticio='$Id_Catalogo_Esquema_Crediticio', Titulo_Tipo_Registro='$Titulo_Tipo_Registro', Fecha_De_Registro='$Fecha_De_Registro', Usuario_Que_Registra='$Usuario_Que_Registra', Fecha_De_Modificacion='$Fecha_De_Modificacion', Usuario_Que_Modifico='$Usuario_Que_Modifico' WHERE Id_Catalogo_Esquema_Crediticio = '$Id_Catalogo_Esquema_Crediticio'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_esquema_crediticio';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        public function delete_catalogo_esquema_crediticio($Id_Catalogo_Esquema_Crediticio)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="DELETE FROM catalogo_esquema_crediticio WHERE Id_Catalogo_Esquema_Crediticio='$Id_Catalogo_Esquema_Crediticio'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_esquema_crediticio';

            $_Evento_Log='eliminar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        //Funciones adicionales.

        public function getorderby_catalogo_esquema_crediticio($Nombre,$Orderby,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_esquema_crediticio WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM catalogo_esquema_crediticio WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_esquema_crediticio ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM catalogo_esquema_crediticio";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getorderby_catalogo_esquema_crediticiopg($Nombre,$Orderby,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM catalogo_esquema_crediticio WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

            }else{

                $consulta="SELECT * FROM catalogo_esquema_crediticio ORDER BY $Nombre $Orderby";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getbyid_catalogo_esquema_crediticio($Id_Catalogo_Esquema_Crediticio)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM catalogo_esquema_crediticio WHERE Id_Catalogo_Esquema_Crediticio='$Id_Catalogo_Esquema_Crediticio'";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_catalogo_esquema_crediticio_paginador_frm()

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM catalogo_esquema_crediticio";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_catalogo_esquema_crediticio($Buscar,$_Clausula_Fk,$_IdFk)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT *, count(*) as numregis FROM catalogo_esquema_crediticio WHERE $_Clausula_Fk=$_IdFk AND (Id_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Titulo_Tipo_Registro LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%') ORDER BY Id_Catalogo_Esquema_Crediticio DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_esquema_crediticio WHERE $_Clausula_Fk=$_IdFk AND (Id_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Titulo_Tipo_Registro LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%')";

            }else{

                //$consulta="SELECT *, count(*) as numregis FROM catalogo_esquema_crediticio WHERE Id_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Titulo_Tipo_Registro LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%' ORDER BY Id_Catalogo_Esquema_Crediticio DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_esquema_crediticio WHERE Id_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Titulo_Tipo_Registro LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%'";  

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            $_Tabla='catalogo_esquema_crediticio';

            $_Evento_Log='busco:'.$Buscar;

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_consultas($_Tabla,$_Evento_Log,$_Consulta);

            return $Array_adapter;

        }



        public function search_catalogo_esquema_crediticiopg($Buscar,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM catalogo_esquema_crediticio WHERE $_Clausula_Fk=$_IdFk AND (Id_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Titulo_Tipo_Registro LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%') ORDER BY Id_Catalogo_Esquema_Crediticio DESC";

            }else{

                $consulta="SELECT * FROM catalogo_esquema_crediticio WHERE Id_Catalogo_Esquema_Crediticio LIKE '%$Buscar%' || Titulo_Tipo_Registro LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%' ORDER BY Id_Catalogo_Esquema_Crediticio DESC";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function searchbyparameter_catalogo_esquema_crediticio($Parametro,$Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM catalogo_esquema_crediticio WHERE $Parametro LIKE '%$Buscar%' ORDER BY Id_Catalogo_Esquema_Crediticio DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }

  

        public function execute_catalogo_esquema_crediticio($query)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Array_adapter=$conexion->query($query);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_field_catalogo_esquema_crediticio($Field,$Value,$Id_Catalogo_Esquema_Crediticio)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Valueinto=strtoupper($Value);

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE catalogo_esquema_crediticio SET $Field='$Valueinto' WHERE Id_Catalogo_Esquema_Crediticio= '$Id_Catalogo_Esquema_Crediticio'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_esquema_crediticio';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



        public function update_field_front_catalogo_esquema_crediticio($Field,$Value,$Id_Catalogo_Esquema_Crediticio)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE catalogo_esquema_crediticio SET $Field='$Value' WHERE Id_Catalogo_Esquema_Crediticio= '$Id_Catalogo_Esquema_Crediticio'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_esquema_crediticio';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



}



?>